From: "Andreas Hüttel" <dilfridge@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-devel/binutils/
Date: Tue, 12 Jun 2018 21:06:41 +0000 (UTC) [thread overview]
Message-ID: <1528837596.01bca6cd9e06fdb660a59cb639f6d2c6b796aa89.dilfridge@gentoo> (raw)
commit: 01bca6cd9e06fdb660a59cb639f6d2c6b796aa89
Author: Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 12 21:02:50 2018 +0000
Commit: Andreas Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Tue Jun 12 21:06:36 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=01bca6cd
sys-devel/binutils: Revision bump, patchset 3
Few upstream commits. Mostly a re-do of the Gentoo-specific
testsuite patches.
Package-Manager: Portage-2.3.40, Repoman-2.3.9
sys-devel/binutils/Manifest | 1 +
sys-devel/binutils/binutils-2.30-r3.ebuild | 417 +++++++++++++++++++++++++++++
2 files changed, 418 insertions(+)
diff --git a/sys-devel/binutils/Manifest b/sys-devel/binutils/Manifest
index 943d5a86288..68339b6c103 100644
--- a/sys-devel/binutils/Manifest
+++ b/sys-devel/binutils/Manifest
@@ -9,4 +9,5 @@ DIST binutils-2.28.1.tar.bz2 28120394 BLAKE2B 3a0ed2bcf0c859638546b7460d9e6f0a55
DIST binutils-2.29.1-patches-3.tar.xz 20904 BLAKE2B 5549cb2412123e4ad3a13935762cc0dca46215950dbf38a149caf4c6416da382a0fd7ecffe97b10bce4dfdcef5edc2673d49bb21e9d37be37e33b454a8c2bc1a SHA512 ba54efaf9e9f668d2922972acd2cdf5c3e6f174cfcc73d29953ab4ba6e157ce0cb500c583568a4e3baaaa92c9d30c394a327f29b51292acc66f8d3f20f5eae2a
DIST binutils-2.29.1.tar.bz2 29123355 BLAKE2B 83de518a27bae0f13c57b1979493dd7f7cabae424cff5e8495d1f064da24b6ef9e1c19d1d1adad2dca7142372782023f66b4b4223170a49b96ba3834266fe878 SHA512 4063d34555526922376ccceb3f14b43e287442e82a8038cf50f4f51ad97d438c672c0e310ca4b856c9aff5aa9911073e256e8298a7a3f1844eeb60b90d955592
DIST binutils-2.30-patches-2.tar.xz 490272 BLAKE2B a28a5b5bb8faa33fec269f2c69d6ed0e4e7d5a9169861aa4b3c45511794e1e749c216862a8258c2029f1b40c511dcb2a0aeaecda57e75d52418f10d6f345718f SHA512 1686d5b58ee968f2000647acab2bee4c263d1c85fd43fed8c820fccfc0d7024a01211e7853cd5ce452fa90da500bc17309edf6dbc901c7fd6fc7b3e3d6f42581
+DIST binutils-2.30-patches-3.tar.xz 548804 BLAKE2B 428a1750233ae3f019e20cb5ed1d8e6fe6455181e8f5961dbfe7b66493d1c42050f889e45c02c1fc1a84d545c9e61f81ad6ffd5afc0b1099a702ccc7637c3abe SHA512 c91e902d1d9fc2e9782df04c93173c3207c771f1c063e2ff12c9336593c954ea3f1b2474a8fc045927d72fe18f7401874059599d100c4a1fd152081f05913d03
DIST binutils-2.30.tar.xz 20286700 BLAKE2B 2dd5436a15a601011a1950e6082ec00082f5916fb82ce95ceab424fd8dc19f6daa7ac32a149f222ccdcc603354165cc206fde070eaa44fe2cc5e57486efc7868 SHA512 e747ea20d8d79fcd21b9d9f6695059caa7189d60f19256da398e34b789fea9a133c32b192e9693b5828d27683739b0198431bf8b3e39fb3b04884cf89d9aa839
diff --git a/sys-devel/binutils/binutils-2.30-r3.ebuild b/sys-devel/binutils/binutils-2.30-r3.ebuild
new file mode 100644
index 00000000000..02b4fbca807
--- /dev/null
+++ b/sys-devel/binutils/binutils-2.30-r3.ebuild
@@ -0,0 +1,417 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils libtool flag-o-matic gnuconfig multilib versionator
+
+DESCRIPTION="Tools necessary to build programs"
+HOMEPAGE="https://sourceware.org/binutils/"
+LICENSE="GPL-3+"
+IUSE="+cxx doc multitarget +nls static-libs test"
+
+# Variables that can be set here:
+# PATCH_VER - the patchset version
+# Default: empty, no patching
+# PATCH_BINUTILS_VER - the binutils version in the patchset name
+# - Default: PV
+# PATCH_DEV - Use download URI https://dev.gentoo.org/~{PATCH_DEV}/distfiles/...
+# for the patchsets
+# Default: dilfridge :)
+
+PATCH_VER=3
+
+case ${PV} in
+ 9999)
+ BVER="git"
+ EGIT_REPO_URI="https://sourceware.org/git/binutils-gdb.git"
+ inherit git-r3
+ S=${WORKDIR}/binutils
+ EGIT_CHECKOUT_DIR=${S}
+ ;;
+ *)
+ BVER=${PV}
+ SRC_URI="mirror://gnu/binutils/binutils-${BVER}.tar.xz https://sourceware.org/pub/binutils/releases/binutils-${BVER}.tar.xz"
+ ;;
+esac
+SLOT="${BVER}"
+#KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd ~x86-fbsd"
+KEYWORDS=""
+
+#
+# The Gentoo patchset
+#
+PATCH_BINUTILS_VER=${PATCH_BINUTILS_VER:-${BVER}}
+PATCH_DEV=${PATCH_DEV:-dilfridge}
+
+[[ -z ${PATCH_VER} ]] || SRC_URI="${SRC_URI}
+ https://dev.gentoo.org/~${PATCH_DEV}/distfiles/binutils-${PATCH_BINUTILS_VER}-patches-${PATCH_VER}.tar.xz"
+
+#
+# The cross-compile logic
+#
+export CTARGET=${CTARGET:-${CHOST}}
+if [[ ${CTARGET} == ${CHOST} ]] ; then
+ if [[ ${CATEGORY} == cross-* ]] ; then
+ export CTARGET=${CATEGORY#cross-}
+ fi
+fi
+is_cross() { [[ ${CHOST} != ${CTARGET} ]] ; }
+
+#
+# The dependencies
+#
+RDEPEND="
+ >=sys-devel/binutils-config-3
+ sys-libs/zlib
+"
+DEPEND="${RDEPEND}
+ doc? ( sys-apps/texinfo )
+ test? ( dev-util/dejagnu )
+ nls? ( sys-devel/gettext )
+ sys-devel/flex
+ virtual/yacc
+"
+if is_cross ; then
+ # The build assumes the host has libiberty and such when cross-compiling
+ # its build tools. We should probably make binutils itself build a local
+ # copy to use, but until then, be lazy.
+ DEPEND+=" >=sys-libs/binutils-libs-${PV}"
+fi
+
+MY_BUILDDIR=${WORKDIR}/build
+
+src_unpack() {
+ case ${PV} in
+ 9999)
+ git-r3_src_unpack;
+ ;;
+ *)
+ default
+ ;;
+ esac
+ mkdir -p "${MY_BUILDDIR}"
+}
+
+src_prepare() {
+ if [[ ! -z ${PATCH_VER} ]] ; then
+ einfo "Applying binutils-${PATCH_BINUTILS_VER} patchset ${PATCH_VER}"
+ eapply "${WORKDIR}/patch"/*.patch
+ fi
+
+ # This check should probably go somewhere else, like pkg_pretend.
+ if [[ ${CTARGET} == *-uclibc* ]] ; then
+ if grep -qs 'linux-gnu' "${S}"/ltconfig ; then
+ die "sorry, but this binutils doesn't yet support uClibc :("
+ fi
+ fi
+
+ # Make sure our explicit libdir paths don't get clobbered. #562460
+ sed -i \
+ -e 's:@bfdlibdir@:@libdir@:g' \
+ -e 's:@bfdincludedir@:@includedir@:g' \
+ {bfd,opcodes}/Makefile.in || die
+
+ # Fix locale issues if possible #122216
+ if [[ -e ${FILESDIR}/binutils-configure-LANG.patch ]] ; then
+ einfo "Fixing misc issues in configure files"
+ for f in $(find "${S}" -name configure -exec grep -l 'autoconf version 2.13' {} +) ; do
+ ebegin " Updating ${f/${S}\/}"
+ patch "${f}" "${FILESDIR}"/binutils-configure-LANG.patch >& "${T}"/configure-patch.log \
+ || eerror "Please file a bug about this"
+ eend $?
+ done
+ fi
+
+ # Fix conflicts with newer glibc #272594
+ if [[ -e libiberty/testsuite/test-demangle.c ]] ; then
+ sed -i 's:\<getline\>:get_line:g' libiberty/testsuite/test-demangle.c
+ fi
+
+ # Apply things from PATCHES and user dirs
+ default
+
+ # Run misc portage update scripts
+ gnuconfig_update
+ elibtoolize --portage --no-uclibc
+}
+
+toolchain-binutils_bugurl() {
+ printf "https://bugs.gentoo.org/"
+}
+toolchain-binutils_pkgversion() {
+ printf "Gentoo ${BVER}"
+ [[ -n ${PATCH_VER} ]] && printf " p${PATCH_VER}"
+}
+
+src_configure() {
+ # Setup some paths
+ LIBPATH=/usr/$(get_libdir)/binutils/${CTARGET}/${BVER}
+ INCPATH=${LIBPATH}/include
+ DATAPATH=/usr/share/binutils-data/${CTARGET}/${BVER}
+ if is_cross ; then
+ TOOLPATH=/usr/${CHOST}/${CTARGET}
+ else
+ TOOLPATH=/usr/${CTARGET}
+ fi
+ BINPATH=${TOOLPATH}/binutils-bin/${BVER}
+
+ # Make sure we filter $LINGUAS so that only ones that
+ # actually work make it through #42033
+ strip-linguas -u */po
+
+ # Keep things sane
+ strip-flags
+
+ local x
+ echo
+ for x in CATEGORY CBUILD CHOST CTARGET CFLAGS LDFLAGS ; do
+ einfo "$(printf '%10s' ${x}:) ${!x}"
+ done
+ echo
+
+ cd "${MY_BUILDDIR}"
+ local myconf=()
+
+ # enable gold (installed as ld.gold) and ld's plugin architecture
+ if use cxx ; then
+ myconf+=( --enable-gold )
+ myconf+=( --enable-plugins )
+ fi
+
+ if use nls ; then
+ myconf+=( --without-included-gettext )
+ else
+ myconf+=( --disable-nls )
+ fi
+
+ myconf+=( --with-system-zlib )
+
+ # For bi-arch systems, enable a 64bit bfd. This matches
+ # the bi-arch logic in toolchain.eclass. #446946
+ # We used to do it for everyone, but it's slow on 32bit arches. #438522
+ case $(tc-arch) in
+ ppc|sparc|x86) myconf+=( --enable-64-bit-bfd ) ;;
+ esac
+
+ use multitarget && myconf+=( --enable-targets=all --enable-64-bit-bfd )
+
+ [[ -n ${CBUILD} ]] && myconf+=( --build=${CBUILD} )
+
+ is_cross && myconf+=(
+ --with-sysroot="${EPREFIX}"/usr/${CTARGET}
+ --enable-poison-system-directories
+ )
+
+ # glibc-2.3.6 lacks support for this ... so rather than force glibc-2.5+
+ # on everyone in alpha (for now), we'll just enable it when possible
+ has_version ">=${CATEGORY}/glibc-2.5" && myconf+=( --enable-secureplt )
+ has_version ">=sys-libs/glibc-2.5" && myconf+=( --enable-secureplt )
+
+ # mips can't do hash-style=gnu ...
+ if [[ $(tc-arch) != mips ]] ; then
+ myconf+=( --enable-default-hash-style=gnu )
+ fi
+
+ myconf+=(
+ --prefix="${EPREFIX}"/usr
+ --host=${CHOST}
+ --target=${CTARGET}
+ --datadir="${EPREFIX}"${DATAPATH}
+ --datarootdir="${EPREFIX}"${DATAPATH}
+ --infodir="${EPREFIX}"${DATAPATH}/info
+ --mandir="${EPREFIX}"${DATAPATH}/man
+ --bindir="${EPREFIX}"${BINPATH}
+ --libdir="${EPREFIX}"${LIBPATH}
+ --libexecdir="${EPREFIX}"${LIBPATH}
+ --includedir="${EPREFIX}"${INCPATH}
+ --enable-obsolete
+ --enable-shared
+ --enable-threads
+ # Newer versions (>=2.27) offer a configure flag now.
+ --enable-relro
+ # Newer versions (>=2.24) make this an explicit option. #497268
+ --enable-install-libiberty
+ --disable-werror
+ --with-bugurl="$(toolchain-binutils_bugurl)"
+ --with-pkgversion="$(toolchain-binutils_pkgversion)"
+ $(use_enable static-libs static)
+ ${EXTRA_ECONF}
+ # Disable modules that are in a combined binutils/gdb tree. #490566
+ --disable-{gdb,libdecnumber,readline,sim}
+ # Strip out broken static link flags.
+ # https://gcc.gnu.org/PR56750
+ --without-stage1-ldflags
+ )
+ echo ./configure "${myconf[@]}"
+ "${S}"/configure "${myconf[@]}" || die
+
+ # Prevent makeinfo from running if doc is unset.
+ if ! use doc ; then
+ sed -i \
+ -e '/^MAKEINFO/s:=.*:= true:' \
+ Makefile || die
+ fi
+}
+
+src_compile() {
+ cd "${MY_BUILDDIR}"
+ # see Note [tooldir hack for ldscripts]
+ emake tooldir="${EPREFIX}${TOOLPATH}" all
+
+ # only build info pages if the user wants them
+ if use doc ; then
+ emake info
+ fi
+
+ # we nuke the manpages when we're left with junk
+ # (like when we bootstrap, no perl -> no manpages)
+ find . -name '*.1' -a -size 0 -delete
+}
+
+src_test() {
+ cd "${MY_BUILDDIR}"
+ emake -k check
+}
+
+src_install() {
+ local x d
+
+ cd "${MY_BUILDDIR}"
+ # see Note [tooldir hack for ldscripts]
+ emake DESTDIR="${D}" tooldir="${EPREFIX}${LIBPATH}" install
+ rm -rf "${ED}"/${LIBPATH}/bin
+ use static-libs || find "${ED}" -name '*.la' -delete
+
+ # Newer versions of binutils get fancy with ${LIBPATH} #171905
+ cd "${ED}"/${LIBPATH}
+ for d in ../* ; do
+ [[ ${d} == ../${BVER} ]] && continue
+ mv ${d}/* . || die
+ rmdir ${d} || die
+ done
+
+ # Now we collect everything intp the proper SLOT-ed dirs
+ # When something is built to cross-compile, it installs into
+ # /usr/$CHOST/ by default ... we have to 'fix' that :)
+ if is_cross ; then
+ cd "${ED}"/${BINPATH}
+ for x in * ; do
+ mv ${x} ${x/${CTARGET}-}
+ done
+
+ if [[ -d ${ED}/usr/${CHOST}/${CTARGET} ]] ; then
+ mv "${ED}"/usr/${CHOST}/${CTARGET}/include "${ED}"/${INCPATH}
+ mv "${ED}"/usr/${CHOST}/${CTARGET}/lib/* "${ED}"/${LIBPATH}/
+ rm -r "${ED}"/usr/${CHOST}/{include,lib}
+ fi
+ fi
+ insinto ${INCPATH}
+ local libiberty_headers=(
+ # Not all the libiberty headers. See libiberty/Makefile.in:install_to_libdir.
+ demangle.h
+ dyn-string.h
+ fibheap.h
+ hashtab.h
+ libiberty.h
+ objalloc.h
+ splay-tree.h
+ )
+ doins "${libiberty_headers[@]/#/${S}/include/}" || die
+ if [[ -d ${ED}/${LIBPATH}/lib ]] ; then
+ mv "${ED}"/${LIBPATH}/lib/* "${ED}"/${LIBPATH}/
+ rm -r "${ED}"/${LIBPATH}/lib
+ fi
+
+ # Generate an env.d entry for this binutils
+ insinto /etc/env.d/binutils
+ cat <<-EOF > "${T}"/env.d
+ TARGET="${CTARGET}"
+ VER="${BVER}"
+ LIBPATH="${EPREFIX}${LIBPATH}"
+ EOF
+ newins "${T}"/env.d ${CTARGET}-${BVER}
+
+ # Handle documentation
+ if ! is_cross ; then
+ cd "${S}"
+ dodoc README
+ docinto bfd
+ dodoc bfd/ChangeLog* bfd/README bfd/PORTING bfd/TODO
+ docinto binutils
+ dodoc binutils/ChangeLog binutils/NEWS binutils/README
+ docinto gas
+ dodoc gas/ChangeLog* gas/CONTRIBUTORS gas/NEWS gas/README*
+ docinto gprof
+ dodoc gprof/ChangeLog* gprof/TEST gprof/TODO gprof/bbconv.pl
+ docinto ld
+ dodoc ld/ChangeLog* ld/README ld/NEWS ld/TODO
+ docinto libiberty
+ dodoc libiberty/ChangeLog* libiberty/README
+ docinto opcodes
+ dodoc opcodes/ChangeLog*
+ fi
+
+ # Remove shared info pages
+ rm -f "${ED}"/${DATAPATH}/info/{dir,configure.info,standards.info}
+
+ # Trim all empty dirs
+ find "${ED}" -depth -type d -exec rmdir {} + 2>/dev/null
+}
+
+pkg_postinst() {
+ # Make sure this ${CTARGET} has a binutils version selected
+ [[ -e ${EROOT}/etc/env.d/binutils/config-${CTARGET} ]] && return 0
+ binutils-config ${CTARGET}-${BVER}
+}
+
+pkg_postrm() {
+ local current_profile=$(binutils-config -c ${CTARGET})
+
+ # If no other versions exist, then uninstall for this
+ # target ... otherwise, switch to the newest version
+ # Note: only do this if this version is unmerged. We
+ # rerun binutils-config if this is a remerge, as
+ # we want the mtimes on the symlinks updated (if
+ # it is the same as the current selected profile)
+ if [[ ! -e ${EPREFIX}${BINPATH}/ld ]] && [[ ${current_profile} == ${CTARGET}-${BVER} ]] ; then
+ local choice=$(binutils-config -l | grep ${CTARGET} | awk '{print $2}')
+ choice=${choice//$'\n'/ }
+ choice=${choice/* }
+ if [[ -z ${choice} ]] ; then
+ binutils-config -u ${CTARGET}
+ else
+ binutils-config ${choice}
+ fi
+ elif [[ $(CHOST=${CTARGET} binutils-config -c) == ${CTARGET}-${BVER} ]] ; then
+ binutils-config ${CTARGET}-${BVER}
+ fi
+}
+
+# Note [slotting support]
+# -----------------------
+# Gentoo's layout for binutils files is non-standard as Gentoo
+# supports slotted installation for binutils. Many tools
+# still expect binutils to reside in known locations.
+# binutils-config package restores symlinks into known locations,
+# like:
+# /usr/bin/${CTARGET}-<tool>
+# /usr/bin/${CHOST}/${CTARGET}/lib/ldscrips
+# /usr/include/
+#
+# Note [tooldir hack for ldscripts]
+# ---------------------------------
+# Build system does not allow ./configure to tweak every location
+# we need for slotting binutils hence all the shuffling in
+# src_install(). This note is about SCRIPTDIR define handling.
+#
+# SCRIPTDIR defines 'ldscripts/' directory location. SCRIPTDIR value
+# is set at build-time in ld/Makefile.am as: 'scriptdir = $(tooldir)/lib'
+# and hardcoded as -DSCRIPTDIR='"$(scriptdir)"' at compile time.
+# Thus we can't just move files around after compilation finished.
+#
+# Our goal is the following:
+# - at build-time set scriptdir to point to symlinked location:
+# ${TOOLPATH}: /usr/${CHOST} (or /usr/${CHOST}/${CTARGET} for cross-case)
+# - at install-time set scriptdir to point to slotted location:
+# ${LIBPATH}: /usr/$(get_libdir)/binutils/${CTARGET}/${BVER}
next reply other threads:[~2018-06-12 21:06 UTC|newest]
Thread overview: 477+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-06-12 21:06 Andreas Hüttel [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-16 7:26 [gentoo-commits] repo/gentoo:master commit in: sys-devel/binutils/ Sam James
2024-11-10 9:44 Sam James
2024-11-09 17:35 Andreas K. Hüttel
2024-11-09 14:46 Andreas K. Hüttel
2024-11-09 14:46 Andreas K. Hüttel
2024-11-02 2:39 Sam James
2024-10-15 10:16 Arthur Zamarin
2024-10-03 21:29 Arsen Arsenović
2024-10-03 16:25 Arthur Zamarin
2024-10-03 16:25 Arthur Zamarin
2024-10-03 16:25 Arthur Zamarin
2024-10-03 16:25 Arthur Zamarin
2024-10-03 16:25 Arthur Zamarin
2024-10-03 8:06 Sam James
2024-08-22 20:23 Andreas K. Hüttel
2024-08-20 20:28 Andreas K. Hüttel
2024-08-14 19:19 Sam James
2024-08-05 10:26 Andreas K. Hüttel
2024-08-05 7:28 Andreas K. Hüttel
2024-07-31 22:32 Andreas K. Hüttel
2024-07-28 13:42 Andreas K. Hüttel
2024-07-14 15:39 Sam James
2024-07-14 15:39 Sam James
2024-06-29 23:09 Andreas K. Hüttel
2024-06-29 16:51 Andreas K. Hüttel
2024-06-29 16:35 Sam James
2024-06-29 16:16 Andreas K. Hüttel
2024-06-28 22:19 Andreas K. Hüttel
2024-06-28 18:07 Sam James
2024-06-28 18:05 Sam James
2024-06-28 18:05 Sam James
2024-06-28 18:05 Sam James
2024-06-05 7:01 Sam James
2024-06-01 2:57 Sam James
2024-05-11 0:46 Sam James
2024-05-09 19:43 Sam James
2024-04-26 11:49 Andreas K. Hüttel
2024-03-09 21:55 Sam James
2024-03-09 17:54 Sam James
2024-03-08 19:54 Sam James
2024-03-08 19:54 Sam James
2024-03-08 19:54 Sam James
2024-03-08 19:54 Sam James
2024-03-08 19:54 Sam James
2024-03-08 19:54 Sam James
2024-03-08 19:54 Sam James
2024-03-08 18:23 Sam James
2024-03-07 13:16 Sam James
2024-03-07 13:02 Sam James
2024-02-18 14:33 Andreas K. Hüttel
2024-02-18 14:33 Andreas K. Hüttel
2024-02-18 9:56 Sam James
2024-02-16 0:22 Andreas K. Hüttel
2024-01-30 18:33 Sam James
2024-01-30 17:08 Andreas K. Hüttel
2024-01-29 16:50 Andreas K. Hüttel
2024-01-29 16:01 Sam James
2024-01-24 10:02 Andreas K. Hüttel
2024-01-23 20:50 Andreas K. Hüttel
2024-01-23 6:00 Sam James
2024-01-23 5:32 Sam James
2024-01-22 6:59 Viorel Munteanu
2024-01-08 12:03 Sam James
2024-01-08 9:48 Sam James
2024-01-07 8:28 Sam James
2024-01-07 8:28 Sam James
2024-01-07 8:27 Sam James
2024-01-07 8:27 Sam James
2024-01-07 8:27 Sam James
2024-01-07 8:27 Sam James
2024-01-07 8:27 Sam James
2024-01-06 11:56 James Le Cuirot
2024-01-06 11:51 James Le Cuirot
2024-01-03 10:40 Sam James
2023-12-29 0:32 Sam James
2023-12-17 12:20 Andreas K. Hüttel
2023-12-16 13:52 Andreas K. Hüttel
2023-12-15 10:10 Michał Górny
2023-12-14 4:13 Sam James
2023-12-14 4:13 Sam James
2023-11-29 11:45 Arthur Zamarin
2023-11-25 6:12 Sam James
2023-08-20 20:51 Andreas K. Hüttel
2023-08-09 2:42 Sam James
2023-08-08 5:22 Sam James
2023-08-08 2:39 Sam James
2023-08-08 2:38 Sam James
2023-08-08 2:23 Sam James
2023-08-04 23:24 Andreas K. Hüttel
2023-08-04 11:06 Andreas K. Hüttel
2023-08-04 1:53 Sam James
2023-08-04 1:53 Sam James
2023-08-02 22:48 Andreas K. Hüttel
2023-07-30 16:48 Sam James
2023-07-30 16:48 Sam James
2023-07-30 16:43 Sam James
2023-07-30 15:28 Andreas K. Hüttel
2023-07-30 10:26 Andreas K. Hüttel
2023-07-29 21:15 Andreas K. Hüttel
2023-07-19 21:48 Arsen Arsenović
2023-07-18 19:18 Sam James
2023-07-15 8:49 Arthur Zamarin
2023-07-15 8:49 Arthur Zamarin
2023-06-30 21:14 Sam James
2023-06-30 21:14 Sam James
2023-06-26 22:50 Andreas K. Hüttel
2023-05-06 12:20 Andreas K. Hüttel
2023-05-05 17:32 Andreas K. Hüttel
2023-05-05 17:22 Andreas K. Hüttel
2023-04-29 15:44 Arthur Zamarin
2023-04-29 15:44 Arthur Zamarin
2023-04-29 15:44 Arthur Zamarin
2023-04-21 16:34 Sam James
2023-04-02 20:07 Andreas K. Hüttel
2023-04-02 16:52 Andreas K. Hüttel
2023-04-02 12:21 Andreas K. Hüttel
2023-04-02 12:21 Andreas K. Hüttel
2023-03-09 4:03 Andreas K. Hüttel
2023-03-06 23:37 Andreas K. Hüttel
2023-03-06 23:37 Andreas K. Hüttel
2023-02-09 10:45 Andreas K. Hüttel
2023-02-08 21:21 Andreas K. Hüttel
2023-01-27 6:27 Sam James
2023-01-15 11:43 Andreas K. Hüttel
2023-01-15 0:10 Andreas K. Hüttel
2023-01-14 19:17 Sam James
2023-01-14 16:31 Andreas K. Hüttel
2023-01-14 16:31 Andreas K. Hüttel
2022-12-31 15:40 Arthur Zamarin
2022-12-31 15:40 Arthur Zamarin
2022-12-31 15:40 Arthur Zamarin
2022-12-31 15:40 Arthur Zamarin
2022-12-31 15:40 Arthur Zamarin
2022-12-31 15:40 Arthur Zamarin
2022-12-31 15:40 Arthur Zamarin
2022-12-31 15:40 Arthur Zamarin
2022-12-02 20:37 Andreas K. Hüttel
2022-10-17 0:58 Sam James
2022-10-09 11:53 Andreas K. Hüttel
2022-10-08 14:55 Andreas K. Hüttel
2022-09-29 22:32 Sam James
2022-09-29 21:51 Sam James
2022-09-29 21:51 Sam James
2022-09-16 20:29 Andreas K. Hüttel
2022-09-06 21:34 Sam James
2022-09-06 21:34 Sam James
2022-09-04 8:14 Andreas K. Hüttel
2022-08-27 18:07 Arthur Zamarin
2022-08-24 7:32 Andreas K. Hüttel
2022-08-16 0:52 Sam James
2022-08-10 20:36 Sam James
2022-08-07 23:16 WANG Xuerui
2022-08-07 17:17 Andreas K. Hüttel
2022-08-06 3:50 Sam James
2022-08-05 21:27 Sam James
2022-08-05 19:06 Andreas K. Hüttel
2022-07-29 12:27 WANG Xuerui
2022-07-28 7:08 Agostino Sarubbo
2022-07-28 7:07 Agostino Sarubbo
2022-07-27 9:51 Agostino Sarubbo
2022-07-27 8:00 Agostino Sarubbo
2022-07-27 7:55 Agostino Sarubbo
2022-07-27 7:55 Agostino Sarubbo
2022-07-09 11:43 Andreas K. Hüttel
2022-06-12 19:46 Andreas K. Hüttel
2022-05-30 6:30 Sam James
2022-05-26 5:48 Sam James
2022-05-26 5:48 Sam James
2022-04-19 22:52 Sam James
2022-04-16 18:09 Andreas K. Hüttel
2022-04-16 11:36 Andreas K. Hüttel
2022-03-19 9:49 Andreas K. Hüttel
2022-03-18 23:54 Andreas K. Hüttel
2022-03-18 23:54 Andreas K. Hüttel
2022-03-18 22:38 Andreas K. Hüttel
2022-03-18 6:44 Sam James
2022-03-18 6:43 Sam James
2022-02-17 18:47 Arthur Zamarin
2022-02-14 23:52 Sam James
2022-02-14 23:52 Sam James
2022-02-14 23:52 Sam James
2022-02-14 23:20 Sam James
2022-02-14 23:20 Sam James
2022-02-14 21:32 Sam James
2022-02-10 13:11 Andreas K. Hüttel
2022-01-28 22:13 Sam James
2022-01-28 22:10 Sam James
2022-01-27 21:53 Sam James
2022-01-25 22:34 Andreas K. Hüttel
2022-01-21 23:43 Sam James
2022-01-21 20:29 Sam James
2022-01-15 21:33 Andreas K. Hüttel
2022-01-06 19:22 Mike Frysinger
2022-01-01 20:08 David Seifert
2022-01-01 18:31 David Seifert
2021-12-06 22:43 Sam James
2021-11-14 22:20 Andreas K. Hüttel
2021-10-29 18:33 Andreas K. Hüttel
2021-10-05 23:19 Sam James
2021-10-05 23:19 Sam James
2021-10-04 1:32 Sam James
2021-10-03 0:35 Sam James
2021-09-24 16:14 Sam James
2021-09-23 22:12 Sam James
2021-09-21 17:44 Sam James
2021-09-21 6:35 Agostino Sarubbo
2021-09-16 1:45 Sam James
2021-08-20 15:02 Andreas K. Hüttel
2021-08-20 15:02 Andreas K. Hüttel
2021-08-19 13:40 Sam James
2021-08-19 13:40 Sam James
2021-08-19 13:27 Sam James
2021-08-19 13:27 Sam James
2021-08-19 13:27 Sam James
2021-08-19 12:57 Sam James
2021-08-19 12:57 Sam James
2021-08-17 21:42 Andreas K. Hüttel
2021-08-17 20:07 Andreas K. Hüttel
2021-08-13 21:40 Andreas K. Hüttel
2021-07-31 10:03 Andreas K. Hüttel
2021-07-25 11:16 Andreas K. Hüttel
2021-07-24 22:54 Andreas K. Hüttel
2021-07-24 21:15 Andreas K. Hüttel
2021-07-20 21:52 Andreas K. Hüttel
2021-07-17 11:22 Sergei Trofimovich
2021-05-15 23:13 Georgy Yakovlev
2021-05-15 22:04 Georgy Yakovlev
2021-04-20 18:39 Andreas K. Hüttel
2021-04-20 17:06 Andreas K. Hüttel
2021-04-18 9:48 Andreas K. Hüttel
2021-04-18 9:48 Andreas K. Hüttel
2021-04-13 0:13 Sam James
2021-04-12 23:33 Sam James
2021-04-11 18:41 Sergei Trofimovich
2021-04-11 12:31 Mikle Kolyada
2021-04-05 8:53 Sergei Trofimovich
2021-04-04 16:03 Thomas Deutschmann
2021-02-25 11:13 Sam James
2021-02-25 5:18 Sam James
2021-02-25 2:10 Sam James
2021-02-11 20:22 Sergei Trofimovich
2021-02-09 21:46 Andreas K. Hüttel
2021-02-09 21:46 Andreas K. Hüttel
2021-02-08 22:17 Andreas K. Hüttel
2021-02-08 21:21 Andreas K. Hüttel
2021-01-31 13:26 Sergei Trofimovich
2021-01-30 4:31 Sam James
2021-01-28 19:55 Sam James
2021-01-28 17:38 Sergei Trofimovich
2021-01-26 17:42 Sergei Trofimovich
2021-01-24 15:34 Andreas K. Hüttel
2021-01-23 19:28 Andreas K. Hüttel
2021-01-03 13:23 Sergei Trofimovich
2020-12-23 2:17 Sam James
2020-12-23 2:16 Sam James
2020-11-16 16:49 Andreas K. Hüttel
2020-11-14 9:24 Mikle Kolyada
2020-11-03 22:47 Sergei Trofimovich
2020-10-30 21:45 Andreas K. Hüttel
2020-10-06 4:23 Sam James
2020-10-03 9:25 Sergei Trofimovich
2020-09-28 17:41 Sergei Trofimovich
2020-09-25 14:20 Andreas K. Hüttel
2020-09-25 14:20 Andreas K. Hüttel
2020-09-25 14:20 Andreas K. Hüttel
2020-09-23 9:10 Andreas K. Hüttel
2020-09-20 18:31 Sam James
2020-09-19 20:08 Mikle Kolyada
2020-09-17 20:08 Andreas K. Hüttel
2020-09-15 17:22 Thomas Deutschmann
2020-07-31 16:06 Andreas K. Hüttel
2020-07-25 17:50 Andreas K. Hüttel
2020-07-25 12:43 Andreas K. Hüttel
2020-06-28 22:43 Sergei Trofimovich
2020-06-18 19:24 Sergei Trofimovich
2020-05-19 19:57 Andreas K. Hüttel
2020-05-10 18:31 Andreas K. Hüttel
2020-05-08 18:20 Andreas K. Hüttel
2020-04-07 10:26 Mart Raudsepp
2020-04-01 11:12 Jeroen Roovers
2020-03-16 21:23 Sergei Trofimovich
2020-03-10 7:35 Sergei Trofimovich
2020-03-09 21:00 Sergei Trofimovich
2020-03-09 7:56 Sergei Trofimovich
2020-03-06 13:31 Andreas K. Hüttel
2020-03-02 15:22 Agostino Sarubbo
2020-03-02 12:39 Agostino Sarubbo
2020-03-02 12:38 Agostino Sarubbo
2020-03-02 12:34 Agostino Sarubbo
2020-03-02 12:32 Agostino Sarubbo
2020-03-02 12:29 Agostino Sarubbo
2020-03-02 12:28 Agostino Sarubbo
2020-03-01 7:45 Mikle Kolyada
2020-02-13 21:40 David Seifert
2020-02-01 22:00 Sergei Trofimovich
2020-01-24 15:51 Sergei Trofimovich
2020-01-05 12:19 Sergei Trofimovich
2020-01-04 12:31 Sergei Trofimovich
2019-11-18 23:39 Sergei Trofimovich
2019-11-09 13:54 Sergei Trofimovich
2019-11-09 13:02 Sergei Trofimovich
2019-11-09 13:02 Sergei Trofimovich
2019-11-09 11:57 Sergei Trofimovich
2019-11-09 0:00 Sergei Trofimovich
2019-11-09 0:00 Sergei Trofimovich
2019-10-13 4:18 Andreas K. Hüttel
2019-08-27 7:31 Sergei Trofimovich
2019-08-09 21:09 Andreas K. Hüttel
2019-07-28 10:36 Mikle Kolyada
2019-07-28 10:36 Mikle Kolyada
2019-07-28 10:36 Mikle Kolyada
2019-07-22 13:16 Aaron Bauman
2019-07-18 13:10 Agostino Sarubbo
2019-07-18 11:45 Agostino Sarubbo
2019-07-18 10:01 Agostino Sarubbo
2019-07-18 9:57 Agostino Sarubbo
2019-07-17 14:03 Agostino Sarubbo
2019-07-03 21:32 Sergei Trofimovich
2019-07-01 19:23 Thomas Deutschmann
2019-06-29 14:46 Andreas K. Hüttel
2019-06-29 13:22 Agostino Sarubbo
2019-06-06 14:27 Andreas K. Hüttel
2019-06-03 11:11 Tobias Klausmann
2019-05-31 8:08 Agostino Sarubbo
2019-05-16 22:41 Sergei Trofimovich
2019-05-14 8:08 Sergei Trofimovich
2019-05-11 12:29 Mikle Kolyada
2019-05-11 12:28 Mikle Kolyada
2019-05-11 12:28 Mikle Kolyada
2019-05-11 12:28 Mikle Kolyada
2019-05-11 12:28 Mikle Kolyada
2019-05-11 12:28 Mikle Kolyada
2019-05-11 12:28 Mikle Kolyada
2019-05-10 17:31 Mikle Kolyada
2019-05-10 2:24 Aaron Bauman
2019-05-08 6:25 Sergei Trofimovich
2019-05-04 17:03 Andreas K. Hüttel
2019-04-29 10:10 Jeroen Roovers
2019-04-27 20:50 Sergei Trofimovich
2019-04-26 12:45 Andreas K. Hüttel
2019-04-25 18:44 Andreas K. Hüttel
2019-04-25 9:09 Anthony G. Basile
2019-04-24 21:02 Andreas K. Hüttel
2019-04-20 18:27 Mikle Kolyada
2019-04-19 12:20 Andreas K. Hüttel
2019-04-18 21:38 Andreas K. Hüttel
2019-04-11 11:35 Sergei Trofimovich
2019-04-10 23:34 Aaron Bauman
2019-04-09 14:09 Andreas K. Hüttel
2019-04-07 22:00 Mikle Kolyada
2019-04-07 22:00 Mikle Kolyada
2019-04-07 22:00 Mikle Kolyada
2019-04-07 22:00 Mikle Kolyada
2019-04-06 14:35 Andreas K. Hüttel
2019-04-04 6:56 Mikle Kolyada
2019-03-29 21:59 Andreas K. Hüttel
2019-03-26 21:32 Andreas K. Hüttel
2019-02-23 13:06 Sergei Trofimovich
2019-02-23 12:55 Sergei Trofimovich
2019-02-16 17:51 Sergei Trofimovich
2019-02-16 10:35 Sergei Trofimovich
2019-02-14 22:17 Sergei Trofimovich
2019-02-12 23:32 Sergei Trofimovich
2019-02-12 23:01 Sergei Trofimovich
2019-02-03 18:52 Sergei Trofimovich
2018-12-28 23:13 Andreas K. Hüttel
2018-12-22 11:38 Andreas K. Hüttel
2018-12-22 11:38 Andreas K. Hüttel
2018-12-20 22:50 Andreas K. Hüttel
2018-12-14 23:52 Andreas K. Hüttel
2018-12-09 13:58 Andreas K. Hüttel
2018-12-08 18:03 Andreas K. Hüttel
2018-12-03 23:43 Andreas K. Hüttel
2018-11-30 23:00 Andreas K. Hüttel
2018-11-30 22:25 Andreas K. Hüttel
2018-11-11 11:20 Mikle Kolyada
2018-10-14 11:10 Mikle Kolyada
2018-10-13 16:14 Sergei Trofimovich
2018-10-13 6:56 Tobias Klausmann
2018-10-12 19:08 Sergei Trofimovich
2018-10-06 16:48 Matt Turner
2018-10-06 11:27 Sergei Trofimovich
2018-10-04 7:59 Mikle Kolyada
2018-10-04 6:26 Sergei Trofimovich
2018-10-01 0:07 Thomas Deutschmann
2018-09-25 7:37 Sergei Trofimovich
2018-09-21 7:00 Sergei Trofimovich
2018-09-16 7:59 Mikle Kolyada
2018-09-15 11:27 Sergei Trofimovich
2018-08-27 13:17 Sergei Trofimovich
2018-08-19 5:50 Matt Turner
2018-08-19 5:50 Matt Turner
2018-08-07 9:45 Andreas Hüttel
2018-08-04 18:18 Andreas Hüttel
2018-08-04 18:18 Andreas Hüttel
2018-07-18 15:04 Andreas Hüttel
2018-07-15 12:55 Andreas Hüttel
2018-07-01 17:49 Mikle Kolyada
2018-06-29 22:10 Sergei Trofimovich
2018-06-27 19:06 Andreas Hüttel
2018-06-26 16:12 Mikle Kolyada
2018-06-23 8:24 Sergei Trofimovich
2018-06-22 18:21 Andreas Hüttel
2018-06-18 20:21 Tobias Klausmann
2018-06-13 22:10 Andreas Hüttel
2018-06-03 20:47 Sergei Trofimovich
2018-06-03 8:00 Mart Raudsepp
2018-06-02 5:48 Mikle Kolyada
2018-05-19 17:21 Andreas Hüttel
2018-05-12 18:44 Sergei Trofimovich
2018-05-01 20:24 Andreas Hüttel
2018-04-29 20:08 Andreas Hüttel
2018-04-07 20:03 Sergei Trofimovich
2018-04-07 19:48 Sergei Trofimovich
2018-04-07 10:43 Sergei Trofimovich
2018-01-29 20:11 Andreas Hüttel
2018-01-27 21:26 Andreas Hüttel
2018-01-27 15:07 Andreas Hüttel
2018-01-27 14:50 Andreas Hüttel
2018-01-27 13:16 Andreas Hüttel
2018-01-14 20:04 Mike Frysinger
2018-01-14 20:04 Mike Frysinger
2018-01-08 22:22 Sergei Trofimovich
2017-12-27 22:30 Sergei Trofimovich
2017-12-24 9:46 Mart Raudsepp
2017-11-24 6:15 Markus Meier
2017-11-23 11:54 Tobias Klausmann
2017-11-20 15:18 Manuel Rüger
2017-11-19 21:20 Sergei Trofimovich
2017-11-19 19:14 Thomas Deutschmann
2017-11-18 19:08 Sergei Trofimovich
2017-11-18 17:46 Sergei Trofimovich
2017-11-12 23:02 Andreas Hüttel
2017-10-20 23:26 Andreas Hüttel
2017-10-18 21:58 Andreas Hüttel
2017-10-15 13:44 Andreas Hüttel
2017-10-12 21:10 Andreas Hüttel
2017-09-25 23:18 Sergei Trofimovich
2017-09-14 19:06 Andreas Hüttel
2017-09-14 18:59 Andreas Hüttel
2017-09-14 8:26 Sergei Trofimovich
2017-09-11 21:02 Thomas Deutschmann
2017-09-07 20:59 Sergei Trofimovich
2017-08-31 1:15 Matt Turner
2017-08-31 1:15 Matt Turner
2017-08-25 22:34 Matt Turner
2017-08-25 21:31 Mikle Kolyada
2017-08-08 20:41 Markus Meier
2017-08-07 7:40 Sergei Trofimovich
2017-08-03 7:11 Sergei Trofimovich
2017-08-02 16:57 Matthias Maier
2017-08-02 0:11 Matthias Maier
2017-06-23 7:48 Sergei Trofimovich
2017-06-21 21:55 Sergei Trofimovich
2017-06-13 18:23 Markus Meier
2017-06-12 12:41 Agostino Sarubbo
2017-06-07 14:47 Matthias Maier
2017-06-06 23:17 Matthias Maier
2017-06-06 22:23 Matthias Maier
2017-03-20 1:05 Matt Turner
2017-03-15 5:47 Jeroen Roovers
2017-03-10 10:59 Agostino Sarubbo
2017-03-10 9:09 Agostino Sarubbo
2017-03-10 5:21 Matt Turner
2017-03-08 21:58 Michael Weber
2017-03-07 20:55 Mike Frysinger
2017-03-03 18:30 Mike Frysinger
2016-12-08 19:28 Mike Frysinger
2016-07-13 8:26 Patrice Clement
2016-07-13 8:26 Patrice Clement
2015-10-03 0:43 Mike Frysinger
2015-09-30 3:41 Jeroen Roovers
2015-09-20 17:57 Mike Frysinger
2015-09-19 16:40 Tobias Klausmann
2015-09-19 12:32 Agostino Sarubbo
2015-08-27 17:37 Mike Frysinger
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1528837596.01bca6cd9e06fdb660a59cb639f6d2c6b796aa89.dilfridge@gentoo \
--to=dilfridge@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox